package com.blueland.ebpm.exception;

public class RestException extends RuntimeException {

	private static final long serialVersionUID = 1L;
	private String errCode = "A1000";


	public RestException(String message) {
		this("A1000", message);
	}
	
	public RestException(String errorCode, String message) {
		super(message);
		this.errCode = errorCode;
	}
	
//	public RestException(String message, Throwable cause) {
//		super(message, cause);
//	}
//	
//	public RestException(String errCode, String message, Throwable cause) {
//		super(message, cause);
//		this.errCode = errCode;
//	}
	
	public String getErrCode() {
		return this.errCode;
	}

}
